using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities.Contracts
{
	[Table("class_teachers")]
	public class ClassTeacher
	{
		[Key] 
		[Column("class_id")]
		public Guid ClassId { get; set; }
		[ForeignKey(nameof(ClassId))]
		public Class Class { get; set; }

		[Key] 
		[Column("teacher_id")] 
		public Guid TeacherId { get; set; }
		[ForeignKey(nameof(TeacherId))]
		public User Teacher { get; set; }

		[Column("subject_taught")]
		public SubjectAreaEnum SubjectTaught { get; set; }
	}
}
